ROCM-TARGET-ARCH(1)

NAME
rocm-target-arch - rocm-target-arch

DESCRIPTION

    Usage: bin/rocm-target-arch [ --dist <dist> ] [ --sep <sep> ]

    Package build helper for determining ROCm target architectures.

    These architectures come from central lists which are maintained per-distribution by the Debian ROCm Team. If no list exists for the current distribution, then the list for Debian's unstable or 'sid' distribution is used as a fallback.

    The distribution is read from debian/changelog. If the distribution is 'unstable' or 'experimental' and the build host is Ubuntu, 'ubuntu-devel' is used instead. This can be overriden with the --dist option.

    If the --reduce option is used, then if any build dependency, or one of its dependencies, listed in debian/control has a X-ROCm-GPU-Architecture attribute, then the list of target architectures will be correspondingly reduced. This will entail a call to dpkg-checkbuilddeps.

    The default separator is the space character ' '. This can be overriden with --sep. The separator can be an arbitrary string.

    If the environment variable ROCM_TARGET_ARCH_FIXED is set to a spaceseparated of architectures, then that list will be emitted instead. This can be useful to package maintainers who might want quick local builds with fewer or just architecture during development, without having to modify d/rules. This can also be useful to Salsa CI.

    Options:

-h  Show this help

--dist <dist>
    Emit list for <dist> instead

--sep <sep>
    When emitting the list, use <sep> as separator

--reduce
    Reduce list of supported architectures as per the B-Ds.